import sys
import os
from mtf.mtf_base import MtfBase
from mtf_advanced_tuto_fixture import MTFAdvancedTutoFixture
from xtr import logging

sys.path.append(os.path.join(os.path.dirname(__file__), ".."))
logger = logging.getLogger(__name__)


class FixtureXCPcommunication(MTFAdvancedTutoFixture):

    @classmethod
    def setUpClass(cls):
        logger.info(
            "Message from FixtureXCPcommunication setUpClass function"
        )

    @classmethod
    def tearDownClass(cls):
        logger.info(
            "Message from FixtureXCPcommunication tearDownClass function"
        )

    def setUp(self):
        logger.info(
            "Message from FixtureXCPcommunication setUp function"
        )

    def tearDown(self):
        logger.info(
            "Message from FixtureXCPcommunication tearDown function"
        )
